wxWidgets: wxZipClassFactory Class Reference

| Version: 3.2.7

List of all members
wxZipClassFactory Class Reference
Class List by Category » Archive support | Class List by Category » Streams

`#include <wx/zipstrm.h>`

Inheritance diagram for wxZipClassFactory:
[legend]

## Detailed Description

Class factory for the zip archive format.

See the base class for details.

##

Library: wxBase
Category: Archive support, Streams

See also
  Archive Formats, Generic Archive Programming, wxZipEntry, wxZipInputStream, wxZipOutputStream

## Additional Inherited Members
Public Member Functions inherited from wxArchiveClassFactory
bool | CanHandle (const wxString &protocol, wxStreamProtocolType type=wxSTREAM_PROTOCOL) const
| Returns true if this factory can handle the given protocol, MIME type or file extension. More...
wxMBConv & | GetConv () const
| Returns the wxMBConv object that the created streams will use when translating meta-data. More...
void | SetConv (wxMBConv &conv)
| Sets the wxMBConv object that the created streams will use when translating meta-data. More...
virtual wxString | GetInternalName (const wxString &name, wxPathFormat format=wxPATH_NATIVE) const =0
| Calls the static GetInternalName() function for the archive entry type, for example wxZipEntry::GetInternalName. More...
wxString | GetProtocol () const
| Returns the wxFileSystem protocol supported by this factory. More...
virtual const wxChar ** | GetProtocols (wxStreamProtocolType type=wxSTREAM_PROTOCOL) const =0
| Returns the protocols, MIME types or file extensions supported by this factory, as an array of null terminated strings. More...
wxArchiveEntry * | NewEntry () const
| Create a new wxArchiveEntry object of the appropriate type. More...
void | PushFront ()
| Adds this class factory to the list returned by GetFirst() or GetNext(). More...
void | Remove ()
| Removes this class factory from the list returned by GetFirst() and GetNext(). More...
wxArchiveInputStream * | NewStream (wxInputStream &stream) const
| Create a new input or output stream to read or write an archive. More...
wxArchiveOutputStream * | NewStream (wxOutputStream &stream) const
| Create a new input or output stream to read or write an archive. More...
wxArchiveInputStream * | NewStream (wxInputStream *stream) const
| Create a new input or output stream to read or write an archive. More...
wxArchiveOutputStream * | NewStream (wxOutputStream *stream) const
| Create a new input or output stream to read or write an archive. More...
const wxArchiveClassFactory * | GetNext () const
| GetFirst and GetNext can be used to enumerate the available factories. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
Static Public Member Functions inherited from wxArchiveClassFactory
static const wxArchiveClassFactory * | Find (const wxString &protocol, wxStreamProtocolType type=wxSTREAM_PROTOCOL)
| A static member that finds a factory that can handle a given protocol, MIME type or file extension. More...
static const wxArchiveClassFactory * | GetFirst ()
| GetFirst and GetNext can be used to enumerate the available factories. More...
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...